Returns the list of transactions available for the authenticated user. Supports optional filter parameters.
Query parameters
-
Return transactions created from this date onwards
-
Return transactions modified from this date onwards
-
Filter by status: active (default), pending, closed, inactive, locked, all, all:active, all:pending, all:closed, all:inactive, all:locked
-
Filter transactions by agent ID (brokerage/team scenarios)
-
Text filter applied to property address, city, zip, transaction name, or buyer/seller name
-
Filter by team ID, or use 'all' for all teams the agent belongs to
-
Values are
nameorcreated. -
Values are
ascordesc.
GET
/transactions
curl \
--request GET 'https://api.pre.zipformplus.com/api/transactions' \
--header "X-Auth-ContextId: $API_KEY"
Response examples (200)
{
"value": [
{
"id": "string",
"name": "1060 Mountain St",
"status": "active",
"expiration": "2026-05-04T09:42:00Z",
"transactionType": "Listing",
"propertyType": "Residential",
"hasFiles": true,
"created": "2026-05-04T09:42:00Z",
"lastUpdated": "2026-05-04T09:42:00Z",
"ownerName": "string",
"number": 1033771,
"seller": "string",
"buyer": "string",
"propertyAddress": "string",
"address": "string",
"city": "string",
"state": "string",
"zip": "string",
"isSigned": true,
"EncryptedOwnerId": "string"
}
]
}